<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3c.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets">
	
<h:head>
</h:head>
<h:body>
	
	<h1>Adicionar Empregado</h1>
	
	<h:form>
    	<p:growl id="growl" life="2000" />

		<p:outputLabel value="Departamento:" for="dd" />
        <p:autoComplete id="dd" dropdown="true" value="#{empregadoMB.entity.departamento}" completeMethod="#{empregadoMB.departamentos}"
                        var="departamento" itemLabel="#{departamento.name}" itemValue="#{departamento}" converter="departamentoConverter" forceSelection="true" />


		<br/>

		<p:outputLabel value="Nome:" for="txt-name" />
		<p:inputText id="txt-name" value="#{empregadoMB.entity.name}" />
		
		<br/>
     
    	<p:commandButton value="Adicionar" id="add-empregado" update="growl" 
    					 actionListener="#{empregadoMB.saveButton}" 
    					 styleClass="ui-priority-primary" ajax="true" />
    					 
    	<p:commandButton action="index" value="Voltar" />
    	
	</h:form>
</h:body>
</html>
